Commit 7c2f06fd authored by Jan Hoeckesfeld's avatar Jan Hoeckesfeld
Browse files

hilbert initial options

parent 120b51b5
...@@ -7,4 +7,5 @@ config.yaml ...@@ -7,4 +7,5 @@ config.yaml
__pycache__/ __pycache__/
benchmarks/ benchmarks/
logs/ logs/
report/ report/
\ No newline at end of file clusterLogs/
\ No newline at end of file
...@@ -22,5 +22,5 @@ mkdir -p clusterLogs ...@@ -22,5 +22,5 @@ mkdir -p clusterLogs
type snakemake >/dev/null 2>&1 || { echo >&2 "I require snakemake but it's not installed or added to your path. Aborting..."; exit 1; } type snakemake >/dev/null 2>&1 || { echo >&2 "I require snakemake but it's not installed or added to your path. Aborting..."; exit 1; }
snakemake --jobs $maxNrOfConcurrentJobs --use-singularity --use-conda --reason --jobscript cluster/jobscript.sh --cluster "qsub -e clusterLogs/{rule}.{wildcards}.{jobid}.errors -o clusterLogs/{rule}.{wildcards}.{jobid}.output -A ${projectID} -l select=1:ncpus={params.cpus}:ngpus={params.gpus}:mem={params.mem} -l walltime={params.walltime}" snakemake --jobs $maxNrOfConcurrentJobs --use-singularity --use-conda --reason --jobscript cluster/jobscript.sh --cluster "qsub -e clusterLogs/{rule}.{wildcards}.{jobid}.errors -o clusterLogs/{rule}.{wildcards}.{jobid}.output -A ${projectID} -l select=1:ncpus={params.cpus}:ngpus={params.gpus}:mem={params.mem} -l walltime={params.walltime}" --latency-wait 900 --keep-going
name: BioPythonWorkbench name: BioPythonWorkbench
channels: channels:
- conda-forge - nodefaults
- bioconda - http://conda.repo.test.hhu.de/conda-forge
- defaults - http://conda.repo.test.hhu.de/bioconda
- http://conda.repo.test.hhu.de/main
dependencies: dependencies:
- biopython=1.71 - biopython=1.71
- python=3.7 - python=3.7
- regex - regex
- openssl = 1.1.1h - openssl=1.1.1h
- samtools = 1.11 - samtools=1.11
- seaborn = 0.11.0 - seaborn=0.11.0
- scipy = 1.5.2 - scipy=1.5.2
- pysam = 0.16.0.1 - pysam=0.16.0.1
- mpmath = 1.1.0 - mpmath=1.1.0
- matplotlib-venn=0.11.5 - matplotlib-venn=0.11.5
name: bwa name: bwa
channels: channels:
- defaults - nodefaults
- bioconda - http://conda.repo.test.hhu.de/bioconda
- http://conda.repo.test.hhu.de/main
dependencies: dependencies:
- bwa=0.7.17 - bwa=0.7.17
name: FastP name: FastP
channels: channels:
- bioconda - nodefaults
- defaults - http://conda.repo.test.hhu.de/bioconda
- http://conda.repo.test.hhu.de/main
dependencies: dependencies:
- fastp=0.20.0 - fastp=0.20.0
...@@ -12,7 +12,7 @@ rule estimateKmerCoverage: ...@@ -12,7 +12,7 @@ rule estimateKmerCoverage:
#cluster execution #cluster execution
cpus = '1', #TODO: This could in theory be sped up significantly using a shared cache and multithreading cpus = '1', #TODO: This could in theory be sped up significantly using a shared cache and multithreading
gpus = '0', gpus = '0',
mem = '64G', mem = '10G',
walltime = '00:45:00' walltime = '00:45:00'
log: log:
'logs/' + config['input_folder'] + '/kmers/{kmer}/{id}/estimateKmerCoverage.log' 'logs/' + config['input_folder'] + '/kmers/{kmer}/{id}/estimateKmerCoverage.log'
......
...@@ -82,7 +82,7 @@ rule bwa: ...@@ -82,7 +82,7 @@ rule bwa:
params: params:
#cluster execution #cluster execution
cpus = '1', cpus = '1',
mem = '32G', mem = '4G',
gpus = '0', gpus = '0',
walltime = '00:30:00' walltime = '00:30:00'
singularity: singularity:
...@@ -343,7 +343,12 @@ rule createSpaTypeVennDiagram: ...@@ -343,7 +343,12 @@ rule createSpaTypeVennDiagram:
venntopsix = 'data/output/'+config['input_folder']+'/kmers/{kmer}/{id}/spaTypesTopSixVennDia.svg', venntopsix = 'data/output/'+config['input_folder']+'/kmers/{kmer}/{id}/spaTypesTopSixVennDia.svg',
vennrandomsix = 'data/output/'+config['input_folder']+'/kmers/{kmer}/{id}/spaTypesRandomSixVennDia.svg' vennrandomsix = 'data/output/'+config['input_folder']+'/kmers/{kmer}/{id}/spaTypesRandomSixVennDia.svg'
params: params:
gtt = lambda wildcards : getGroundTruthType(wildcards.id) gtt = lambda wildcards : getGroundTruthType(wildcards.id),
#cluster execution
cpus = '1',
mem = '1G',
gpus = '0',
walltime = '00:05:00'
log: log:
'logs/'+config['input_folder']+'/probabilistic/kmers/{kmer}/{id}/spaTypeVennDia.log' 'logs/'+config['input_folder']+'/probabilistic/kmers/{kmer}/{id}/spaTypeVennDia.log'
conda: conda:
...@@ -375,7 +380,12 @@ rule calcKmerErrorRates: ...@@ -375,7 +380,12 @@ rule calcKmerErrorRates:
output: output:
error = 'data/auxiliary/'+config['input_folder']+'/kmers/{kmer}/{id}/error_estimate.txt' error = 'data/auxiliary/'+config['input_folder']+'/kmers/{kmer}/{id}/error_estimate.txt'
params: params:
k = lambda wildcards: wildcards.kmer k = lambda wildcards: wildcards.kmer,
#cluster execution
cpus = '1',
mem = '2G',
gpus = '0',
walltime = '00:30:00'
log: log:
'logs/'+config['input_folder']+'/kmers/{kmer}/{id}/calcKmerErrorRates.log' 'logs/'+config['input_folder']+'/kmers/{kmer}/{id}/calcKmerErrorRates.log'
conda: conda:
......
...@@ -79,8 +79,8 @@ rule calcLikelihoods: ...@@ -79,8 +79,8 @@ rule calcLikelihoods:
deviationCutoff = (lambda wildcards,input : round(config['deviationCutoff']*extractCoverageEstimateFile(input.kmerCoverageEstimate,config))), deviationCutoff = (lambda wildcards,input : round(config['deviationCutoff']*extractCoverageEstimateFile(input.kmerCoverageEstimate,config))),
itersetType = config['itersetType'], itersetType = config['itersetType'],
#cluster exectuion #cluster exectuion
cpus = '1', cpus = '8',
mem = '4G', mem = '10G',
gpus = '0', gpus = '0',
walltime = '01:30:00' walltime = '01:30:00'
singularity: singularity:
...@@ -155,7 +155,12 @@ rule calcKmerStats: ...@@ -155,7 +155,12 @@ rule calcKmerStats:
stats = 'data/auxiliary/'+config['input_folder']+'/kmers/{kmer}/{id}/stats.tsv' stats = 'data/auxiliary/'+config['input_folder']+'/kmers/{kmer}/{id}/stats.tsv'
params: params:
id = lambda wildcards: wildcards.id, id = lambda wildcards: wildcards.id,
k = lambda wildcards: wildcards.kmer k = lambda wildcards: wildcards.kmer,
# cluster execution
cpus = '1',
mem = '5G',
gpus = '0',
walltime = '00:30:00'
conda: conda:
'../envs/biopythonworkbench.yaml' '../envs/biopythonworkbench.yaml'
log: log:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment